QGIS Application - Bug report #10155
Right to Left formating in Map Composer
2014-05-02 08:04 AM - Micha Silver

No
No
fixed/implemented

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.2.0 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18612

Description

When entering mixed Hebrew and English text with some punctuation characters in a text box, the order of the text gets switched.

Apparently the "bidi" algorithm is not applied.
Probably the same issue will occur with mixed Arabic/English text.

The attached image shows the problem.

In earlier versions (1.8), text box formatting of mixed language titles was perfect.

Thanks,
Micha

History

#1 - 2014-06-28 07:36 AM - Jiirgen Fischer
- Target version changed from Version 2.2 to Future Release - Lower Priority

#2 - 2017-05-01 01:08 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#3 - 2018-05-13 09:00 PM - Harel Dan
- File rtl.png added

It appears to be fixed in 3.1

#4 - 2018-05-14 05:55 PM - Harrissou Santanna
- Resolution set to fixed/implemented

- Description updated

- Status changed from Open to Closed

Thanks for the feedback.

Files

QGIS-Composer-RTL.jpg 68.1 KB 2014-05-02 Micha Silver
rtl.png 7.72 KB 2018-05-13 Harel Dan
